#
# spec file for package python-jupyter_jupyterlab_discovery
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define         skip_python2 1
Name:           python-jupyter_jupyterlab_discovery
Version:        5.1.2
Release:        2.16
Summary:        JupyterLab extension to discover and install even more extensions
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://github.com/vidartf/jupyterlab_discovery
Source:         https://files.pythonhosted.org/packages/py2.py3/j/jupyterlab_discovery/jupyterlab_discovery-%{version}-py2.py3-none-any.whl
Source10:       https://raw.githubusercontent.com/vidartf/jupyterlab_discovery/python-%{version}/LICENSE.md
Source11:       https://raw.githubusercontent.com/vidartf/jupyterlab_discovery/python-%{version}/README.md
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module jupyter_notebook >= 5.3}
BuildRequires:  %{python_module pip}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module certifi}
BuildRequires:  %{python_module jupyter_jupyterlab}
BuildRequires:  %{python_module tornado}
# /SECTION
Requires:       python-certifi
Requires:       python-jupyter_jupyterlab
Requires:       python-jupyter_notebook >= 5.3
Requires:       python-tornado
BuildArch:      noarch
%ifpython2
Requires:       python3-jupyter_jupyterlab_discovery
%endif

%python_subpackages

%description
A JupyterLab extension to facilitate the discovery and installation of other extensions.

%prep
%setup -c -T
cp %{SOURCE10} .
cp %{SOURCE11} .

%build
# Not Needed

%install
%python_expand pip%{$python_bin_suffix} install --root=%{buildroot} %{SOURCE0}

%{python_expand sed -i 's/\r$//' %{buildroot}%{$python_sitelib}/jupyterlab_discovery/server_extension.py
sed -i "s|^#!/usr/bin/env python$|#!%{__$python}|" %{buildroot}%{$python_sitelib}/jupyterlab_discovery/server_extension.py
chmod a+x %{buildroot}%{$python_sitelib}/jupyterlab_discovery/server_extension.py
$python -m compileall -d %{$python_sitelib} %{buildroot}%{$python_sitelib}/jupyterlab_discovery/
$python -O -m compileall -d %{$python_sitelib} %{buildroot}%{$python_sitelib}/jupyterlab_discovery/
%fdupes %{buildroot}%{$python_sitelib}
}

if [[ `dirname %{_prefix}/etc/jupyter` != `dirname %{_sysconfdir}/jupyter` ]]; then
mkdir -p %{buildroot}%{_sysconfdir}
mv %{buildroot}%{_prefix}/etc/jupyter %{buildroot}%{_sysconfdir}/jupyter
rm -d %{buildroot}%{_prefix}/etc
fi

%files %{python_files}
%doc README.md
%license LICENSE.md
%{python_sitelib}/jupyterlab_discovery-*.dist-info
%{python_sitelib}/jupyterlab_discovery/
%python3_only %config %{_sysconfdir}/jupyter/jupyter_notebook_config.d/jupyterlab-discovery.json
%python3_only %{_datadir}/jupyter/lab/extensions/jupyterlab_discovery-*.tgz

%changelog
* Fri Aug  3 2018 toddrme2178@gmail.com
- Update to version 5.1.2
  * Update lockfile
  * Fix refresh button theme color
  * Update main files
  * Outdated handles non-published packages
  * Support not having any extensions
  * Fix / improve outdated package check
  * Add button for refreshing installed modules
  * Add entry border for updatable entries
* Thu Jun  7 2018 jengelh@inai.de
- Use noun phrase in summary.
* Fri Apr 20 2018 toddrme2178@gmail.com
- Initial version
